<?php

/**
 * CLI Routes
 *
 * This routes only will be available under a CLI environment
 */

// To enable Luthier-CI built-in cli commands
// uncomment the followings lines:

// Luthier\Cli::maker();
// Luthier\Cli::migrations();

 Route::group('crontab',function(){
        Route::group('absensi',function(){
            Route::cli('reguler','Crontab@reguler');
            Route::cli('alpha','Crontab@alpha'); # ALPA TIDAK MASUK KERJA DAN JADWAL REQULER MASUK
            Route::cli('alpha2','Crontab@alpha2'); # ALPA TIDAK MASUK SHIFT DAN JADWAL REQULER LIBUR
            Route::cli('libur','Crontab@libur');
            Route::cli('libur/nasional','Crontab@libur_nasional');
            Route::cli('shift','Crontab@shift');
            Route::cli('shift/lewat_hari1','Crontab@shift_lewat_hari1'); # BATAS ABSENNSI PULANG LEWAT HARI
            Route::cli('shift/lewat_hari2','Crontab@shift_lewat_hari2'); # ABSENNSI PULANG LEWAT HARI
            Route::cli('shift/off','Crontab@shift_off');
            Route::cli('pensiun','Crontab@pensiun');
            Route::cli('hapus/absensi/masuk','Crontab@hapus_absensi_masuk');
            Route::cli('hapus/absensi/istirahat_mulai','Crontab@hapus_absensi_istirahat_mulai');
            Route::cli('hapus/absensi/istirahat_selesai','Crontab@hapus_absensi_istirahat_selesai');
            Route::cli('hapus/absensi/pulang','Crontab@hapus_absensi_pulang');

            Route::cli('migrasi','Crontab_migrasi@absensi'); # MIGRASI
        });
    });

